"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _jsonwebtoken = _interopRequireDefault(require("jsonwebtoken"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getUploadUrl = ({
  jwtSecret
}) => async (req, res) => {
  const adapter = req.resolve.uploader;

  try {
    _jsonwebtoken.default.verify(req.jwt, jwtSecret);

    const {
      dir
    } = req.query;
    const signedPut = await adapter.getSignedPut(dir);
    await res.json(signedPut);
  } catch (error) {
    await res.status(405);
    await res.end(error.toString());
  }
};

var _default = getUploadUrl;
exports.default = _default;
//# sourceMappingURL=getUploadUrl.js.map